# Enum Class Wrapper.DistributionType

java.lang.Object
java.lang.Enum<Wrapper.DistributionType>
org.gradle.api.tasks.wrapper.Wrapper.DistributionType

All Implemented Interfaces:
  `Serializable, Comparable<Wrapper.DistributionType>, Constable`

Enclosing class:
  `Wrapper`

public static enum Wrapper.DistributionType extends Enum<Wrapper.DistributionType>
Specifies the Gradle distribution type.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ALL`
complete Gradle distribution with binaries, sources and documentation
`BIN`
binary-only Gradle distribution without sources and documentation

## Method Summary

Modifier and Type
Method
Description
`static Wrapper.DistributionType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Wrapper.DistributionType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### BIN

public static final Wrapper.DistributionType BIN
binary-only Gradle distribution without sources and documentation

### ALL

public static final Wrapper.DistributionType ALL
complete Gradle distribution with binaries, sources and documentation

## Method Details

### values

public static Wrapper.DistributionType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Wrapper.DistributionType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null